<nav class="nj-navbar nj-navbar--sm nj-navbar--shadow nj-navbar--expand-md animation1 pt-1 pb-1  pr-2" 
    [ngStyle]="{'padding-left': (menuVisible == true ? '5%' : '250px')}" >

  <div class="nav" id="navbar" style="display:flex;flex-direction:row; width:97%;justify-content:flex-end;">
    <city></city>

    <!-- MENU -->
    <div class="nav" id="navbar" style="flex-grow:4;">
      <ul class="nj-navbar__nav" style="flex-direction:row;justify-content:flex-end;align-items:flex-end;width:100%">

        <!-- DARKMODE -->
        <li class="nj-navbar__nav-item mr-4" style="display: flex; flex-direction: row;justify-content: center;align-items: center;">
          <darkmode></darkmode>
        </li>

         <!-- ALARMS  -->
        <li class="nj-navbar__nav-item" style="display: flex; flex-direction: row;justify-content: center;align-items: center;">
          <div class="btn-group">
            <i class="material-icons md-24 mr-3 dropdown-toggl" style="cursor:pointer" 
              type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" >
                notification_important
            </i> 
            <div *ngIf="unread['alerts'] > 0" class="unread fs14">{{ unread['alerts'] }}</div>

            <div class="dropdown-menu p-0" (click)="stop($event)" style="width:300px">
              <alerts [type]="'nav'" (result)="getUnread('alerts', $event)"></alerts>
            </div>
          </div>
        </li>

        <!-- TASKS -->
        <li class="nj-navbar__nav-item" style="display: flex; flex-direction: row;justify-content: center;align-items: center;">
          <div class="btn-group">
            <i class="material-icons md-24 mr-3 dropdown-toggl" style="cursor:pointer" 
              type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" >
              assignment
            </i> 
            <div *ngIf="unread['tasks'] > 0" class="unread fs14">{{ unread['tasks'] }}</div>

            <div class="dropdown-menu p-0" (click)="stop($event)" style="width:300px">
              <tasks2 [type]="'nav'" (result)="getUnread('tasks', $event)"></tasks2>
            </div>
          </div>
        </li>


        <!-- INITIALS -->
        <li class="nj-navbar__nav-item" style="display: flex; flex-direction: row;justify-content: center;align-items: center;">
            <span *ngIf="profile" class="nj-navbar__brand" href="#" class="fs16" style="width:auto !important;" >
              Ciao {{ profile['name']}}
            </span>
            <button *ngIf="profile" class="btn btn-secondary ml-2 fs16" style="" (click)="handlePersonalVisibility()">
              {{ profile['given_name'][0] }}  {{ profile['family_name'][0] }}
            </button>
        </li>

      </ul>
    </div>
</div>

</nav>